При обработке были обнаружены ошибки: man-db

19

Я получаю эту ошибку, когда я использую apt-get upgrade & apt-get autoremove и каждый apt-get [Something].. и при попытке установить приложения тоже:

Errors were encountered while processing:
man-db
E: Sub-process /usr/bin/dpkg returned an error code (1)
    
задан R9TySix 15.02.2012 в 18:45
источник

6 ответов

15

Прочтите комментарии ниже. Это может быть опасная команда для запуска в вашей системе и создания неустранимого состояния. (строки были прокомментированы, чтобы предотвратить автоматическое копирование и вставку).

Простой и рабочий я попробовал!

sudo -s
# cd /var/cache/debconf
# rm *.dat
apt-get update && apt-get upgrade

Наслаждайтесь;)

    
ответ дан ucefkh 04.10.2013 в 03:40
10

Никакое решение, упомянутое в ответах, не работало для меня, и я попробовал решение, упомянутое здесь, на форумах Ubuntu , выполнение команда

sudo dpkg -i --force-all [deb file path]

, и это сработало.

    
ответ дан Ravindra Gullapalli 29.03.2013 в 00:49
5

ответ сообщества wiki - разрешен OP

Эта проблема была решена с помощью следующей команды терминала:

sudo dpkg-reconfigure -phigh -a
    
ответ дан fossfreedom 27.02.2013 в 10:14
3

Вам нужно запустить эти команды с sudo, предшествующими им, чтобы они могли быть выполнены с учетными данными суперпользователя. Пример:

sudo apt-get autoremove "NAME OF PACKAGE HERE"
    
ответ дан Scott Stookey 15.02.2012 в 18:55
3

Вы также можете узнать, что вы можете использовать dpkg --audit , чтобы узнать, что представляет собой настоящая проблема.

Если вывод выглядит примерно так:

The following packages are in a mess due to serious problems during installation. 
They must be reinstalled for them (and any packages that depend on them) 
to function properly:
  gcdemu A GNOME panel applet to control CDEmu daemon

The following packages have been unpacked but not yet configured.
They must be configured using dpkg --configure or the configure
menu option in dselect for them to work:
 cdemu-daemon CDEmu daemon
 cdemu-client A simple command-line client to control CDEmu daemon

The following packages are only half configured, probably due to problems
configuring them the first time. The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 transmission-daemon lightweight BitTorrent client (daemon)
 vhba-dkms VHBA virtual host bus adapter module

Вы можете выполнить команду: dpkg --configure <packagename>

 dpkg --configure cdemu-daemon

Чтобы

Reconfigure an unpacked package. 
If -a  or  --pending  is  given instead of package, all unpacked but unconfigured
packages are configured.

Кроме того, вы можете использовать:

sudo apt-get -f install
sudo apt-get --reinstall install gcdemu

Чтобы исправить пакеты, которые находятся в беспорядке.

Примеры отсюда: Ссылка

    
ответ дан First Name 05.09.2015 в 00:08
1

Если вы удалили /var/cache в ошибочной попытке очистки (как и я), это может устранить проблему (это было для меня):

sudo mkdir /var/cache/debconf
    
ответ дан Matthias Braun 15.03.2014 в 15:01